petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagVecRestoreArray

restore access to a raw array

### Synopsis

    PetscErrorCode DMStagVecRestoreArray(DM dm,Vec vec,void *array)

Logically Collective

### Input Parameters

| dm | - the DMStag object
| vec | - the Vec object

### Output Parameters

array -the array

### See Also

DMSTAG, DMStagVecGetArray(), DMDAVecRestoreArray(), DMDAVecRestoreArrayDOF()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages